package com.ruoyi.job.task;

import com.ruoyi.common.core.constant.SecurityConstants;
import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.system.api.RemoteJobDataExchangeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度测试
 * 
 * @author ruoyi
 */
@Component("ryTask")
@RequiredArgsConstructor
public class RyTask
{

    private final RemoteJobDataExchangeService remoteJobDataExchangeService;
    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams() {
        System.out.println("执行无参方法");

    }

    /**
     * 远程调用打包
     * @param params 文件打包配置主键
     * @throws Exception
     */
    public void ryRemotePackage(String params) throws Exception {
        remoteJobDataExchangeService.filePackage(params, SecurityConstants.INNER);
    }

    /**
     * 远程调用打包解析
     * @param params 文件解析配置主键
     * @throws Exception
     */
    public void ryRemotePackageResolve(String params) throws Exception {
        remoteJobDataExchangeService.filePackageResolve(params, SecurityConstants.INNER);
    }


    /**
     * 远程调用打包解析
     * @param params 文件解析配置主键
     * @throws Exception
     */
    public void ryRemoteInBusinessResolve(String params) throws Exception {
        remoteJobDataExchangeService.inBusiness(params, SecurityConstants.INNER);
    }
}
